SDL_HapticLeftRight(3type)

NAME
SDL_HapticLeftRight - A structure containing a template for a Left/Right effect.

HEADER FILE
Defined in SDL3/SDL_haptic.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_HapticLeftRight
{
    /* Header */
    Uint16 type;            /**< SDL_HAPTIC_LEFTRIGHT */

    /* Replay */
    Uint32 length;          /**< Duration of the effect in milliseconds. */

    /* Rumble */
    Uint16 large_magnitude; /**< Control of the large controller motor. */
    Uint16 small_magnitude; /**< Control of the small controller motor. */
} SDL_HapticLeftRight;

DESCRIPTION
This struct is exclusively for the SDL_HAPTIC_LEFTRIGHT
 effect. The Left/Right effect is used to explicitly control the large and small motors, commonly found in modern game controllers. The small (right) motor is high frequency, and the large (left) motor is low frequency.

AVAILABILITY
This struct is available since SDL 3.0.0.

SEE ALSO
SDL_HAPTIC_LEFTRIGHT(3), SDL_HapticEffect(3type)